package com.srs.routine.mapper;

import java.util.Date;
import java.util.List;

import com.srs.routine.domain.RtFuReservation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.RtFuRoom;
import com.srs.routine.domain.dto.RtFureservationDto;
import com.srs.routine.domain.vo.RtFuResIdVo;
import com.srs.routine.domain.vo.RtFuReservationVo;
import com.srs.routine.domain.vo.RtfuRoTimeVo;
import org.apache.ibatis.annotations.Param;

/**
 * 功能房预约Mapper接口
 *
 * @author srs
 * @date 2024-07-12
 */
public interface RtFuReservationMapper extends BaseMapper<RtFuReservation> {
    /**
     * 查询功能房预约
     *
     * @param id 功能房预约主键
     * @return 功能房预约
     */
    public RtFuResIdVo selectRtFuReservationById(Long id);

    public List<RtfuRoTimeVo> getroTimeinfo(@Param("roNo") String roNo);
    public List<RtFuReservationVo> selectRtFuReservationByuser(RtFuReservation rtFuReservation);

    public  RtFuReservation selectRtFuReservationinfo(String ro_no);

    public  RtFuReservation selectRtFuReservationinfos(String re_no);
    public List<RtFuReservation> selectRtFuReservationByRoNo(String ro_no);

    public  RtFuReservation seleectRtFuYuyue(@Param("roNo") String roNo , @Param("rtTime") String rtTime,@Param("rtYuyue") String rtYuyue);
    public List<RtFuReservation> seleectRtFuTime(@Param("ro_no") String ro_no , @Param("rt_Time") String rt_Time);

    public List<RtFuReservation> seletRtfuCase(@Param("ro_no") String ro_no , @Param("rt_Time") String rt_Time);

    public List<RtFureservationDto> getexportrtfu ();
    /**
     * 查询功能房预约列表
     *
     * @param rtFuReservation 功能房预约
     * @return 功能房预约集合
     */
    List<RtFuReservation> selectRtFuReservationList(RtFuReservation rtFuReservation);

    List<RtFuReservationVo> selectRtFuReservationLists(RtFuReservation rtFuReservation);

    /**
     * 新增功能房预约
     *
     * @param rtFuReservation 功能房预约
     * @return 结果
     */
    int insertRtFuReservation(RtFuReservation rtFuReservation);

    /**
     * 修改功能房预约
     *
     * @param rtFuReservation 功能房预约
     * @return 结果
     */
    int updateRtFuReservation(RtFuReservation rtFuReservation);

    /**
     * 删除功能房预约
     *
     * @param reNo 功能房编码
     * @return 结果
     */
    int deleteRtFuReservationByreNo(String reNo);

    /**
     * 批量删除功能房预约
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtFuReservationByIds(Long[] ids);
}
